using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Tamagotchi
{
    public partial class TamagotchiForm : Form
    {
        public TamagotchiForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// How happy we are! The bigger the number, the happier our
        /// Tamagotchi is. If it is less than 0 we are sad.
        /// </summary>
        int happiness = 30;

        /// <summary>
        /// How Humgry we are. The bigger the number, the more hungry we
        /// get. If we get more than 50 hungry we start to get unhappy!
        /// </summary>
        int hungryness = 0;

        private void TamagotchiForm_Paint(object sender, PaintEventArgs e)
        {
            using (System.Drawing.Pen p = new System.Drawing.Pen(System.Drawing.Color.Red, 10.5f))
            {
                // draw the face
                e.Graphics.DrawEllipse(p, 10, 10, 200, 200);

                // draw the eyes
                e.Graphics.DrawEllipse(p, 40 + hungryness, 70, 40, 40);
                e.Graphics.DrawEllipse(p, 140 - hungryness, 70, 40, 40);
                // if we are happy - draw a smile
                if (happiness > 20)
                {
                    e.Graphics.DrawArc(p, 60, 80, 100, 100, 180, -180);
                    return;
                }

                // if we are sad - draw a frown
                if (happiness < -20)
                {
                    e.Graphics.DrawArc(p, 60, 80, 100, 100, 180, 180);
                    return;
                }

                // if we aren't sure - draw a line
                e.Graphics.DrawLine(p, 60, 155, 160, 155);

            }		
        }

        private void gameTimer_Tick(object sender, EventArgs e)
        {
            if (hungryness < 50)
            {
                hungryness = hungryness + 1;
            }

            if (hungryness > 5)
            {
                happiness = happiness - 1;
            }
            Invalidate();
        }

        private void feedButton_Click(object sender, EventArgs e)
        {
            hungryness = hungryness - 10;
        }

        private void playButton_Click(object sender, EventArgs e)
        {
            happiness = happiness + 10;
        }
    }
}